Subject: What is Ant's Fit Protocol?

From: Alessandro Vesely <[email-masked]>
Date: Sat, 21 Jan 2017 21:10:57 +0100

Hi,
I annoyingly see this stuff in some GPS devices.  It seems to be a proprietary 
protocol for wireless communication, also used as a file format.  It is resumed 
here:

https://www.thisisant.com/company/

I'm wondering why companies use that protocol instead of an open standard.  Is 
it because there is no suitable open standard or just because they hate open 
standards?

I would try and dissuade open source packages, e.g. gpsbabel, to try to support 
it, since that protocol seems to be going to change unpredictably and hence 
their software will never work.  Opinions?

TIA for any reply
Ale

---

From: [email-masked]
Date: Sun, 22 Jan 2017 12:27:00 -0500

The URL you provide says:

"ANT/ANT+ are managed by ANT Wireless, a division of Dynastream
Innovations Inc.......Dynastream was established in 1998 and became a
wholly owned subsidiary of Garmin Ltd. in December 2006. "

So, there is the most likely reason for using a new proprietary
solution.  They OWN the company.  Clearly, the company's software is
superior to any solution that was 'Not Invented Here'.

-Sandy

----- Original Message -----
From: "Alessandro Vesely" <[email-masked]>
To:<[email-masked]>
Cc:
Sent:Sat, 21 Jan 2017 21:10:57 +0100
Subject:What is Ant's Fit Protocol?

 Hi,
 I annoyingly see this stuff in some GPS devices. It seems to be a
proprietary 
 protocol for wireless communication, also used as a file format. It
is resumed 
 here:

 I'm wondering why companies use that protocol instead of an open
standard. Is 
 it because there is no suitable open standard or just because they
hate open 
 standards?

 I would try and dissuade open source packages, e.g. gpsbabel, to try
to support 
 it, since that protocol seems to be going to change unpredictably and
hence 
 their software will never work. Opinions?

 TIA for any reply
 Ale

---

From: Warren Kumari <[email-masked]>
Date: Sun, 22 Jan 2017 14:21:07 -0500

On Sun, Jan 22, 2017 at 12:27 PM,  <[email-masked]> wrote:
> "ANT/ANT+ are managed by ANT Wireless, a division of Dynastream Innovations
> Inc.......Dynastream was established in 1998 and became a wholly owned
> subsidiary of Garmin Ltd. in December 2006. "
>
> So, there is the most likely reason for using a new proprietary solution.
> They OWN the company.  Clearly, the company's software is superior to any
> solution that was 'Not Invented Here'.

Sorry, but no -- that is an entirely reasonable supposition for
Garmin, but ANT/ANT+ is used by a significant number of other
companies as well -- for example, I know them from Peloton exercise
bikes, Samsung phones, etc.
A quick glance at their "directory" shows what looks like a few
hundred brands, and >600 products.

>From a *very* quick glance it seems that, for simple things, it is
simpler to integrate than programming against bluetooth directly (e.g
the Nordic RNF5283 is ~$2.00, and does BLE, ANT and NFC) -- there are
a number of friendly looking libraries and demos for things like
talking to bikes, etc. ANT *feels* like it provides a higher layer /
abstraction to program against -- for example, this datasheet
https://www.thisisant.com/resources/fit2-fitness-module-datasheet/...
'tis been many years since I tried to integrate a bluetooth module
into something, but when I did, there seemed to be so much rope that
getting started was tricky...

I suspect that the root answer to Alessandro question is a combination
of 1: NIH, 2: because other devices I need to talk to already do this,
and 3: better abstractions / nicely defined and documented stack.

[ Note: This is just from a brief skim of their website - I may be
completely wrong, BT / BLE may have progressed and libraries improved,
and better, clearer profiles created, etc... ]

W

> To:
> <[email-masked]>

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: [email-masked]
Date: Sun, 22 Jan 2017 17:01:05 -0500

Right, the website shows quite a few well-known companies using their
technology.  Possibly we have the timetable backwards.  Perhaps, "We
needed something better so we bought that company because we thought
it had a better solution."  That gives them a better solution and the
ability to push changes as needed to _keep_ it better in the future. 
The only downside is to users outside their company, who can't predict
changes.

-Sandy

----- Original Message -----
From: "Warren Kumari" <[email-masked]>
To:<[email-masked]>
Cc:"[email-masked] Disgust" <[email-masked]>
Sent:Sun, 22 Jan 2017 14:21:07 -0500
Subject:Re: What is Ant's Fit Protocol?

 > "ANT/ANT+ are managed by ANT Wireless, a division of Dynastream
Innovations
 > So, there is the most likely reason for using a new proprietary
solution.

 I suspect that the root answer to Alessandro question is a
combination
 of 1: NIH, 2: because other devices I need to talk to already do
this,
 and 3: better abstractions / nicely defined and documented stack.

 [ Note: This is just from a brief skim of their website - I may be
 completely wrong, BT / BLE may have progressed and libraries
improved,
 and better, clearer profiles created, etc... ]

 W

 > protocol for wireless communication, also used as a file format. It
is
 > resumed
standard.
 > Is
hate open
 > standards?
 >
 > I would try and dissuade open source packages, e.g. gpsbabel, to
try to
 > support

 -- 
 I don't think the execution is relevant when it was obviously a bad
 idea in the first place.
 This is like putting rabid weasels in your pants, and later
expressing
 regret at having chosen those particular rabid weasels and that pair
 of pants.
 ---maf

---

From: Alessandro Vesely <[email-masked]>
Date: Mon, 23 Jan 2017 12:27:29 +0100

Thanks a lot for your analysis.

I had missed that the company was bought by Garmin.  That fact dwarfs any 
argument about revenues originating from SDK licenses, as a reason to restrict 
protocol specifications.

Snapshot from D00001578_FIT2_Fitness_Module_Datasheet_Rev1.3.pdf, reproduced 
under fair use exception to copyright law.At a first glance, both SDK and 
protocol specifications seem to be concerned with the (binary) file format and 
ways to encode/decode relevant data.  Lower levels, as shown in the image 
beside, are not discussed.  I don't think Garmin fear that a competitor would 
gain an unfair advantage if they openly published that part of the FIT protocol 
and the related SDK source code.  Rather, an increased availability of 
compatible software packages could foster device usability.  Assuming that 
Garmin's core business is selling devices --not software licenses-- why do they 
keep such a restrictive license?  I hope not just to save lawyers' fees...

Sic venit IoT

Ale

On Sun 22/Jan/2017 23:01:05 +0100 sandy wrote:
> technology.  Possibly we have the timetable backwards.  Perhaps, "We needed 
> something better so we bought that company because we thought it had a better 
> solution."  That gives them a better solution and the ability to push changes 
> as needed to _keep_ it better in the future.  The only downside is to users 
> outside their company, who can't predict changes.
>
> -Sandy
>
>
>     <[email-masked]>
>     "[email-masked] Disgust" <[email-masked]>
>     Sent: